package com.ruoyi.zdsz.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.zdsz.domain.ZEngineeringCivil;
import com.ruoyi.zdsz.domain.vo.ZEngineeringCivilVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringCivilBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.zdsz.domain.vo.areaStatusVo;
import com.ruoyi.zdsz.domain.vo.roomStatusVo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 民用工程Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZEngineeringCivilService {

    /**
     * 查询民用工程
     */
    ZEngineeringCivilVo queryById(String id);
    ZEngineeringCivilVo query(String id,String type);
    ZEngineeringCivilVo queryByEntityBo(ZEngineeringCivilBo zEngineeringCivilBo);

    /**
     * 查询民用工程列表
     */
    TableDataInfo<ZEngineeringCivilVo> queryPageList(ZEngineeringCivilBo bo, PageQuery pageQuery);

    /**
     * 查询民用工程列表
     */
    List<ZEngineeringCivilVo> queryList(ZEngineeringCivilBo bo);

    /**
     * 新增民用工程
     */
    Boolean insertByBo(ZEngineeringCivilBo bo);

    /**
     * 修改民用工程
     */
    Boolean updateByBo(ZEngineeringCivilBo bo);

    /**
     * 校验并批量删除民用工程信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    int getCivilByAreaId(Collection<String> list);

    int getCivilByhouseId(Collection<String> list);
    List getObtainRoomcCompletionInformationList(ZEngineeringCivilBo bo);

    TableDataInfo<areaStatusVo> getAreaCompletionInformationList(ZEngineeringCivilBo bo,PageQuery po);
    areaStatusVo getsumStatus(ZEngineeringCivilBo bo);
}
